org.gradle.api

## Interface Named

- All Known Subinterfaces:
    ApplicationBinarySpec, ApplicationSpec, Architecture, AssemblerSourceSet, Authentication, BasicAuthentication, BinarySpec, BuildableComponentSpec, BuildType, Clang, ClassDirectoryBinarySpec, CoffeeScriptSourceSet, ComponentSpec, CppSourceSet, CSourceSet, CUnitTestSuiteBinarySpec, CUnitTestSuiteSpec, DependentSourceSet, DependentSourceSet, DigestAuthentication, Distribution, Flavor, Gcc, GccCompatibleToolChain, GeneralComponentSpec, GoogleTestTestSuiteBinarySpec, GoogleTestTestSuiteSpec, HeaderExportingSourceSet, IvyConfiguration, IvyPublication, JarBinarySpec, JavaPlatform, JavaScriptSourceSet, JavaSourceSet, JavaToolChain, JUnitTestSuiteBinarySpec, JUnitTestSuiteSpec, JvmBinarySpec, JvmClasses, JvmComponentSpec, JvmLibrarySpec, JvmResourceSet, JvmTestSuiteBinarySpec, JvmTestSuiteSpec, LanguageSourceSet, LibraryBinarySpec, LibrarySpec, LocalJava, MavenPublication, NativeBinarySpec, NativeComponentSpec, NativeExecutableBinarySpec, NativeExecutableSpec, NativeLibraryBinarySpec, NativeLibrarySpec, NativePlatform, NativeResourceSet, NativeTestSuiteBinarySpec, NativeTestSuiteSpec, NativeToolChain, ObjectiveCppSourceSet, ObjectiveCSourceSet, OperatingSystem, Platform, PlatformAwareComponentSpec, PlayApplicationBinarySpec, PlayApplicationSpec, PlayDistribution, PlayPlatform, PlayPlatformAwareComponentSpec, PlayToolChain, PrebuiltLibrary, PublicAssets, Publication, RoutesSourceSet, ScalaLanguageSourceSet, ScalaPlatform, ScalaToolChain, SharedLibraryBinarySpec, SoftwareComponent, SourceComponentSpec, SourceDirectorySet, StaticLibraryBinarySpec, TargetedNativeComponent, TestSuiteBinarySpec, TestSuiteBinarySpec, TestSuiteSpec, TestSuiteSpec, ToolChain, TwirlSourceSet, VariantComponentSpec, VisualCpp, VisualStudioProject, VisualStudioSolution, WindowsResourceSet
  All Known Implementing Classes:
    org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.platform.base.component.internal.AbstractComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, BaseBinarySpec, BaseComponentSpec, BaseLanguageSourceSet, org.gradle.platform.base.component.internal.DefaultComponentSpec

      public interface Named

  Types can implement this interface and use the embedded `Named.Namer` implementation, to satisfy API that calls for a namer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Named.Namer` An implementation of the namer interface for objects implementing the named interface.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The object's name.

- - ### Method Detail

    - #### getName

          String getName()

      The object's name.

      Must be constant for the life of the object.

      Returns:
        The name. Never null.